<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\Anmeldung\HandleAnmeldung;

use Kufer\Web\KuferTools\Utils\DatamodulHelper\Teilnehmer\TeilnehmerHelper;

class HandleAnmeldungUseCase extends \Kufer\Web\KuferTools\Basis\Anmeldung\HandleAnmeldung\HandleAnmeldungUseCase
{
  public static function getToolSectionId()
  {
    return 634;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_ANMELDUNGBUCHEN_VA;
  }

  protected function getTeilnehmerHelper(): \Kufer\Web\KuferTools\Utils\DatamodulHelper\Teilnehmer\TeilnehmerHelper
  {
    return TeilnehmerHelper::createVeranstalterAnmeldungTeilnehmerUebersicht($this->toolSettings, $this->getUser());
  }

  protected function getUserClassName(): string
  {
    return 'Veranstalter';
  }
}